### Method

# Gtk.TreeStore.prepend

#### Declaration [src]

    void
    gtk_tree_store_prepend (
      GtkTreeStore* tree_store,
      GtkTreeIter* iter,
      GtkTreeIter* parent
    )

#### Description [src]

Prepends a new row to `tree_store`. If `parent` is non-`NULL`, then it will prepend the new row before the first child of `parent`, otherwise it will prepend a row to the top level. `iter` will be changed to point to this new row. The row will be empty after this function is called. To fill in values, you need to call `gtk_tree_store_set()` or `gtk_tree_store_set_value()`.

#### Parameters

`iter` | `GtkTreeIter`
| An unset `GtkTreeIter` to set to the prepended row
| Direction: out
| Ownership is not transferred to the callee
`parent` | `GtkTreeIter`
| A valid `GtkTreeIter`, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee